PETSc version 3.15.5
Fix/Edit manual page

# PetscMatlabEngineEvaluate

Evaluates a string in MATLAB

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineEvaluate(PetscMatlabEngine mengine,const char string[],...)

Not Collective

### Input Parameters

| mengine | - the MATLAB engine
| string | - format as in a printf()

### Notes

Run the PETSc program with -info to always have printed back MATLAB's response to the string evaluation

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineCreate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c

### Examples

src/snes/tutorials/ex5.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages